commit:     ec1edfa36d2a67e237782996580afce38f7c2a88
Author:     Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Sat Jan 28 23:34:52 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 22:51:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec1edfa3

sci-visualization/fityk: Version bump to 1.3.1, EAPI bump 5 -> 6

Package-Manager: portage-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/3701

 sci-visualization/fityk/Manifest           |   1 +
 sci-visualization/fityk/fityk-1.3.1.ebuild | 106 +++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/sci-visualization/fityk/Manifest b/sci-visualization/fityk/Manifest
index d7d4372..cd20521 100644
--- a/sci-visualization/fityk/Manifest
+++ b/sci-visualization/fityk/Manifest
@@ -1,2 +1,3 @@
 DIST fityk-1.2.1.tar.bz2 1216009 SHA256 
b98c88649b72fe7bf34507caf09008090bb13d0167cb1f9d0af6cba0fbb51ee0 SHA512 
c81797c8609500ae21842d5d8a0557ded98453946826e6a9dde452af8789eb6ed393162eb3414946599762953e27c8849b827fbb9a53f80330fe244c3881a40c
 WHIRLPOOL 
bb76d394ce0a182a30ac1e6dceca67cf603b7789a480e0c5aa11b70e30837c19087e01843356fb778e1999e22d77544da0936c64056b32ad37e9ea34f45252cc
 DIST fityk-1.2.9.tar.bz2 1370476 SHA256 
615f30296e6e6ed0cad3dfe4fd139b552c25437d6afd371652de4bd12c1a89be SHA512 
e6d4846a0690ea5e7b94fc067de48d67d6342ff595844d709af9f3b978bf4bd9d0095ce348716fd0053c5575b4bff5825f8f126a53bf7e11f4e6e8a2cc6ddb1a
 WHIRLPOOL 
5f60429565d8a301bcec11be660df9c8cd69b03a94375de14215e74f56b8a878038bb0b9e81658ad5ac4fecd5ff7d127cb6ba992e19a98a21ad49941d42247a5
+DIST fityk-1.3.1.tar.bz2 1518937 SHA256 
3d88feb96dbdca70fbfb5f8fa994cea01e77723751e5957094ca46a0c6d511fe SHA512 
4a7a65691af8b8d5b47461133b7870ea21ea04ac2ee8ee5714a6b9bab2f072baa6b5d8bf011baba09c62a7ce2dc9d60f3040cc6fdb77dc498b6e03a24fc0fe08
 WHIRLPOOL 
cbda2c70beae7ced2b132158fa815dd662500cf83235ea39e12ab31f99fac27af4be3e632f1dc768018fc19c9bc563d62e6a08fea9c4e56d37fc382b509b47a8

diff --git a/sci-visualization/fityk/fityk-1.3.1.ebuild 
b/sci-visualization/fityk/fityk-1.3.1.ebuild
new file mode 100644
index 00000000..3590f3a
--- /dev/null
+++ b/sci-visualization/fityk/fityk-1.3.1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+WX_GTK_VER=3.0
+
+PYTHON_COMPAT=( python2_7 python{3_4,3_5} )
+
+inherit fdo-mime python-r1 wxwidgets
+
+DESCRIPTION="General-purpose nonlinear curve fitting and data analysis"
+HOMEPAGE="http://fityk.nieto.pl/";
+SRC_URI="https://github.com/wojdyr/${PN}/releases/download/v${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="gnuplot nlopt python readline static-libs wxwidgets"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="
+       >=dev-lang/lua-5.1:0
+       dev-libs/boost:=
+       >=sci-libs/xylib-1
+       nlopt? ( sci-libs/nlopt )
+       python? ( ${PYTHON_DEPS} )
+       readline? ( sys-libs/readline:0= )
+       wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )"
+DEPEND="${CDEPEND}
+       dev-lang/swig"
+RDEPEND="${CDEPEND}
+       gnuplot? ( sci-visualization/gnuplot )"
+
+pkg_setup() {
+       use wxwidgets && setup-wxwidgets
+}
+
+src_prepare() {
+       default
+       use python && python_copy_sources
+}
+
+src_configure() {
+       common_confargs=(
+               --with-wx-config=wx-config-${WX_GTK_VER}
+       )
+
+       econf \
+               "${common_confargs[@]}" \
+               --disable-python \
+               $(use_enable nlopt) \
+               $(use_enable wxwidgets GUI) \
+               $(use_with readline) \
+               $(use_enable static-libs static)
+
+       if use python; then
+               python_configure() {
+                       econf \
+                               "${common_confargs[@]}" \
+                               --enable-python \
+                               --disable-nlopt \
+                               --disable-GUI \
+                               --without-readline
+               }
+               python_foreach_impl run_in_build_dir python_configure
+       fi
+}
+
+src_compile() {
+       default
+
+       if use python; then
+               python_compilation() {
+                       emake -C fityk swig/_fityk.la
+               }
+               python_foreach_impl run_in_build_dir python_compilation
+       fi
+}
+
+src_install() {
+       default
+
+       if use python; then
+               python_installation() {
+                       emake DESTDIR="${D}" -C fityk install-pyexecLTLIBRARIES
+                       rm "${D%/}"/$(python_get_sitedir)/*.la || die
+               }
+               python_foreach_impl run_in_build_dir python_installation
+       fi
+
+       # No .pc file / libfityk.a has dependencies -> need .la file
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+}
+
+pkg_postinst() {
+       fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+       fdo-mime_desktop_database_update
+}

Reply via email to